    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.io.PushbackReader

    java.lang.Object
       |
       +----java.io.Reader
               |
               +----java.io.FilterReader
                       |
                       +----java.io.PushbackReader

public class PushbackReader
extends FilterReader

A character-stream reader that allows characters to be pushed back into the stream.

##

PushbackReader(Reader)
  Create a new pushback reader with a one-character pushback buffer.
PushbackReader(Reader, int)
  Create a new pushback reader with a pushback buffer of the given size.

##

close()
  Close the stream.
markSupported()
  Tell whether this stream supports the mark() operation, which it does not.
read()
  Read a single character.
read(char[], int, int)
  Read characters into a portion of an array.
ready()
  Tell whether this stream is ready to be read.
unread(char[])
  Push back an array of characters by copying it to the front of the pushback buffer.
unread(char[], int, int)
  Push back a portion of an array of characters by copying it to the front of the pushback buffer.
unread(int)
  Push back a single character.

##

PushbackReader

     public PushbackReader(Reader in,
                           int size)

  Create a new pushback reader with a pushback buffer of the given size.

  Parameters:
    in - The reader from which characters will be read
    size - The size of the pushback buffer

PushbackReader

     public PushbackReader(Reader in)

  Create a new pushback reader with a one-character pushback buffer.

  Parameters:
    in - The reader from which characters will be read

##

read

     public int read() throws IOException

  Read a single character.

  Returns:
    The character read, or -1 if the end of the stream has been reached
  Throws: IOException
    If an I/O error occurs
  Overrides:
    read in class FilterReader

read

     public int read(char cbuf[],
                     int off,
                     int len) throws IOException

  Read characters into a portion of an array.

  Parameters:
    cbuf - Destination buffer
    off - Offset at which to start writing characters
    len - Maximum number of characters to read
  Returns:
    The number of characters read, or -1 if the end of the stream has been reached
  Throws: IOException
    If an I/O error occurs
  Overrides:
    read in class FilterReader

unread

     public void unread(int c) throws IOException

  Push back a single character.

  Parameters:
    c - The character to push back
  Throws: IOException
    If the pushback buffer is full, or if some other I/O error occurs

unread

     public void unread(char cbuf[],
                        int off,
                        int len) throws IOException

  Push back a portion of an array of characters by copying it to the front of the pushback buffer. After this method returns, the next character to be read will have the value `cbuf[off]`, the character after that will have the value `cbuf[off+1]`, and so forth.

  Parameters:
    cbuf - Character array
    off - Offset of first character to push back
    len - Number of characters to push back
  Throws: IOException
    If there is insufficient room in the pushback buffer, or if some other I/O error occurs

unread

     public void unread(char cbuf[]) throws IOException

  Push back an array of characters by copying it to the front of the pushback buffer. After this method returns, the next character to be read will have the value `cbuf[0]`, the character after that will have the value `cbuf[1]`, and so forth.

  Parameters:
    cbuf - Character array to push back
  Throws: IOException
    If there is insufficient room in the pushback buffer, or if some other I/O error occurs

ready

     public boolean ready() throws IOException

  Tell whether this stream is ready to be read.

  Throws: IOException
    If an I/O error occurs
  Overrides:
    ready in class FilterReader

markSupported

     public boolean markSupported()

  Tell whether this stream supports the mark() operation, which it does not.

  Overrides:
    markSupported in class FilterReader

close

     public void close() throws IOException

  Close the stream.

  Throws: IOException
    If an I/O error occurs
  Overrides:
    close in class FilterReader

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.